services:
  HeimrichHannot\UtilsBundle\Util\Utils:
    public: true
    autowire: true
    autoconfigure: true

  HeimrichHannot\UtilsBundle\:
    resource: '../src/{Command,EntityFinder,EventListener,Twig,Util}/*'
    exclude: '../src/Util/Utils.php'
    autowire: true
    autoconfigure: true
    bind:
      $projectDir: '%kernel.project_dir%'
      $csrfTokenName: '%contao.csrf_token_name%'
      $kernelBundles: '%kernel.bundles%'

  HeimrichHannot\UtilsBundle\Util\ContainerUtil:
    autowire: true
    autoconfigure: true
    tags:
      - { name: 'container.service_subscriber', key: 'monolog.logger.contao', id: 'monolog.logger.contao' }